<?php
/**
 * Functions related to customizer and options.
 *
 * @package Creativ Construction
 */

if ( ! function_exists( 'creativ_construction_get_page_layout_options' ) ) :

	/**
	 * Returns Page or Post layout and pagination options.
	 *
	 * @since 1.0
	 *
	 * @return array Options array.
	 */
	function creativ_construction_get_page_layout_options() {

		$choices = array(
			'left-sidebar'  => esc_html__( 'Primary Sidebar - Content', 'creativ-construction' ),
			'right-sidebar' => esc_html__( 'Content - Primary Sidebar', 'creativ-construction' ),
			'no-sidebar'    => esc_html__( 'No Sidebar', 'creativ-construction' ),
		);
		$output = apply_filters( 'creativ_construction_filter_layout_options', $choices );
		return $output;

	}

endif;

if ( ! function_exists( 'creativ_construction_get_pagination_type_options' ) ) :

	/**
	 * Returns pagination type options.
	 *
	 * @since 1.0
	 *
	 * @return array Options array.
	 */
	function creativ_construction_get_pagination_type_options() {

		$choices = array(
			'default' => esc_html__( 'Older/Newer Post', 'creativ-construction' ),
			'numeric' => esc_html__( 'Numeric Pagination', 'creativ-construction' ),
		);
		return $choices;

	}

endif;

